## apt 0.8.16~exp8

=== debian/changelog ===
apt (0.8.16~exp8) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not fail on unpacked packages in SmartUnPack, just don't
      shedule them for unpack, but do all checks and configure them
    - do not enter an endless loop for (essential) pre-dependency loops
  * apt-pkg/contrib/sha2_internal.cc:
    - use a pointer-union to peace gcc strict-aliasing warning
  * apt-pkg/deb/deblistparser.cc:
    - M-A: foreign packages provide for other archs, too

 -- David Kalnischkies <kalnischkies@gmail.com>  Thu, 03 Nov 2011 09:40:29 -0500

apt (1.8.15.9+nmu1) unstable; urgency=low

  [ David Kalnischkies ]
  * algorithms.cc:
    - show a debug why a package was kept by ResolveByKeep()

 -- David Kalnischkies <kalnischkies@gmail.com>  Mon, 17 Oct 2011 16:36:22 +0200
