## apt 0.8.16~exp11

=== debian/changelog ===
apt (0.8.16~exp11) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/dpkgpm.cc:
    - redirect out/input of dpkg --assert-multi-arch to /dev/null
    - if multi-arch is detected ensure that pkg:all is reported as pkg:all

 -- Michael Vogt <mvo@debian.org>  Thu, 19 Jan 2012 13:48:18 +0100

apt (0.8.16~exp10) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - implicit conflicts (for multiarch) are supposed to conflict
      only with real packages, not with virtual providers
  * apt-pkg/pkgcache.cc:
    - ignore implicit conflicts on providers in AllTarget, too
  * apt-pkg/deb/dpkgpm.cc:
    - check if dpkg supports multiarch with --assert-multi-arch
      and if it does be always explicit about the architecture
  * apt-pkg/contrib/fileutl.h:
    - store the offset in the internal fd before calculate size of
      the zlib-handled file to jump back to this place again

  [ Michael Vogt ]
  * apt-pkg/contrib/fileutl.h:
    - fix segfault triggered by the python-apt testsuite

 -- Michael Vogt <mvo@debian.org>  Wed, 18 Jan 2012 12:52:26 +0100

apt (0.8.16~exp9) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/cdrom.cc:
    - Accept .bz2, .xz files in addition to .gz files (Closes: #649451)

  [ Michael Vogt ]
  * apt-pkg/cdrom.cc:
    - use aptconfiguration to get the supported compression types
  * debian/control:
    - bump debhelper build-dep to debhelper (>= 8.1.3~)
    - set libapt-pkg-dev to multi-arch: same too
  * g++ 4.7 fixes

  [ Colin Watson ]
  * Convert libapt-pkg4.12 and libapt-inst1.4 to Multi-Arch: same.

  [ David Kalnischkies ]
  * apt-pkg/cacheset.cc:
    - make the cachesets real containers which can embedding any container
      to be able to use the same interface regardless of set or list usage
    - provide a {Package,Version}List similar to {Package,Version}Set
  * cmdline/apt-{get,cache,mark}.cc:
    - use Lists instead of Sets if input order should be preserved for
      commands accepting lists of packages, e.g. policy (Closes: #625960)
  * apt-pkg/depcache.cc:
    - prefer native providers over foreigns even if the chain is foreign
  * cmdline/apt-get.cc:
    - ignore foreign architectures if we check if a provides has only one
      resolver as it's basically the same for the user, so no need to choose
  * cmdline/apt-config.cc:
    - dump the APT::Compressor settings correctly and completely
  * apt-pkg/contrib/fileutl.{h,cc}:
    - implement a ModificationTime method for FileFd
    - add a ReadLine method
    - drop the explicit export of gz-compression handling
  * apt-pkg/cdrom.cc:
    - support InRelease files on cdrom

 -- Michael Vogt <mvo@debian.org>  Thu, 05 Jan 2012 20:26:31 +0100

apt (0.8.15.10) UNRELEASEDunstable; urgency=low

  [ David Kalnischkies ]
  * algorithms.cc:
    - show a debug why a package was kept by ResolveByKeep()
  * doc/manpage-style.xml:
    - put <brackets> around email addresses
  * apt-pkg/aptconfiguration.cc:
    - parse dpkg --print-foreign-architectures correctly in
      case archs are separated by newline instead of space, too.
      (Closes: #655590)
  * doc/po/de.po:
    - apply typo-fix from Michael Basse, thanks! (LP: #900770)

  [ Chris Leick ]
  * German manpage translation update
  * doc/*.xml:
    - find and fix a bunch of misspellings

  [ Program translation updates ]
  * Dutch (Jeroen Schot). Closes: #652230
  * Slovak (Ivan Masar). Closes: #652985
  * Russian (Yuri Kozlov). Closes: #654844
  * Hungarian (Gabor Kelemen). Closes: #655238

 -- David Kalnischkies <kalnischkies@gmail.com>  Fri, 13 Jan 2012 17:30:36 +0100
