## apt 0.8.16~exp12ubuntu10

=== debian/changelog ===
apt (0.8.16~exp12ubuntu10) precise-proposed; urgency=low

  [ Malcolm Scott ]
  * apt-pkg/packagemanager.cc:
    - Fix a regression in the pre-depend handling: where a pre-depend option
      other than the first specified is already installed, apt-get enters an
      infinite loop (LP: #985852)

  [ Michael Vogt ]
  * apt-pkg/packagemanager.cc:
    - add APT::pkgPackageManager::MaxLoopCount to ensure that the
      ordering code does not get into a endless loop when it flip-flops
      between two states

  [ David Kalnischkies ]
  * apt-pkg/cacheset.cc:
    - actually return to the fallback modifier if we have detected we
      should for packagenames which look like modifiers (Closes: #669591)
      LP: #982716

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Apr 2012 11:10:12 +0200

apt (0.8.16~exp12ubuntu9) precise-proposed; urgency=low

  * apt-inst/contrib/extracttar.cc:
    - ensure that in StartGzip the InFd is set to "AutoClose" to ensure
      that the pipe is closed when InFd is closed. This fixes a Fd leak
      (LP: #985452)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 19 Apr 2012 11:38:43 +0200

apt (0.8.16~exp12ubuntu8) precise; urgency=low

  * Set FD_CLOEXEC on history.log's FD (Closes: #610069, LP: #636010)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 Apr 2012 16:26:20 -0600

apt (0.8.16~exp12ubuntu7) precise; urgency=low

  * clean up obsolete conffile /etc/apt/apt.conf.d/01ubuntu, which was
    dropped in maverick.
  * Build-depend on gettext:any for cross-building support.
  * Don't treat build-depends-indep as cross-build-dependencies; we should
    always install the host arch versions.  LP: #968828.
  * Makefile, po/makefile:  make sure our pot generation datestamp doesn't
    change at build time, since this makes translations fail to be
    co-installable with multiarch.  Based on a patch by David Kalnischkies.
    Closes: #659333, LP: #924628.
  * For cross-build-dependencies, Architecture: all packages should be
    treated as implicitly Multi-Arch: foreign, because either they *are*
    M-A: foreign when used as a build-dependency, or they need to be updated
    to not be Architecture: all; and since cross-build-deps are new
    functionality in apt, we can safely make this change without breaking
    existing systems.  Closes: #666772.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Apr 2012 18:00:23 -0700

apt (0.8.16~exp12ubuntu6) precise; urgency=low

  * cherry pick from
    http://bzr.debian.org/bzr/bzr/apt/apt/debian-experimental2/:
    * apt-pkg/packagemanager.cc:
      - fix bug in predepends handling - ensure that packages that needs
        unpackaging are unpacked before they are configured (LP: #927993)
    * apt-pkg/packagemanager.cc:
      - do not try to a void a breaks if the broken package pre-depends
        on the breaker, but let dpkg auto-deconfigure it
    * apt-pkg/packagemanager.cc:
      - recheck all dependencies if we changed a package in SmartConfigure
        as this could break an earlier dependency (LP: #940396)
    * recheck dependencies in SmartUnpack after a change, too
    * add Debug::pkgAcqArchive::NoQueue to disable package downloading

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Mar 2012 19:46:08 +0100

apt (0.8.16~exp12ubuntu5) precise; urgency=low

  [ Michael Vogt ]
  * merged from the debian-sid branch, most notably:
    - Correct fi translation for hash sum mismatches (LP: #420403)
      Thanks to Jani Uusitalo
    - remove 'old' InRelease file if we can't get a new one before
      proceeding with Release.gpg to avoid the false impression of a still
      trusted repository by a (still present) old InRelease file.
      Thanks to Simon Ruderich for reporting this issue! (CVE-2012-0214)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 Mar 2012 17:52:50 +0100

apt (0.8.16~exp12ubuntu4) precise; urgency=low

  * apt-pkg/contrib/fileutl.h:
    - fix compatibility with FileFd::OpenDescriptor() in ReadOnlyGzip mode

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Feb 2012 10:06:28 +0100

apt (0.8.16~exp12ubuntu3) precise; urgency=low

  * Fix IndexCopy::CopyPackages and TranslationsCopy::CopyTranslations to
    handle compressed files again (LP: #924182).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Jan 2012 11:19:46 +0000

apt (0.8.16~exp12ubuntu2) precise; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/dpkgpm.cc:
    - chroot if needed before dpkg --assert-multi-arch
    - ensure that dpkg binary doesn't have the chroot-directory prefixed
  * apt-pkg/depcache.cc:
    - if a M-A:same package is marked for reinstall, mark all it's installed
      silbings for reinstallation as well (LP: #859188)
  * apt-pkg/contrib/configuration.cc:
    - do not stop parent transversal in FindDir if the value is empty
  * methods/http{s,}.cc:
    - if a file without an extension is requested send an 'Accept: text/*'
      header to avoid that the server chooses unsupported compressed files
      in a content-negotation attempt (Closes: #657560)
  * apt-pkg/aptconfiguration.cc:
    - chroot if needed before calling dpkg --print-foreign-architectures

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix crash when a package is in removed but residual config state
      (LP: #923807)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 30 Jan 2012 21:03:12 +0100

apt (0.8.16~exp12ubuntu1) precise; urgency=low

  [ Michael Vogt ]
  * merge from debian/experimental:
    - new ABI

  [ Steve Langasek ]
  * apt-pkg/algorithms.cc: iterate Breaks the same way as Conflicts, so that
    we resolve virtual package Breaks more effectively.  Thanks to Colin
    Watson for the patch.  Closes: #657695, LP: #922485.
  * apt-pkg/algorithms.{cc,h}: use an int to represent resolver scores, not
    a signed short, because large upgrades can result in an overflow for
    core packages.  Thanks again to Colin Watson.  Closes: #657732,
    LP: #917173.

