=== debian/changelog ===
apt (0.8.16~exp12ubuntu10.7) precise-security; urgency=low

  * SECURITY UPDATE: change permissions of 
    /var/log/apt/term.log to 0640 (LP: #975199)
    - CVE-2012-0961

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Dec 2012 15:38:12 +0100

apt (0.8.16~exp12ubuntu10.6) precise-proposed; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not do lock-step configuration for a M-A:same package if it isn't
      unpacked yet in SmartConfigure and do not unpack a M-A:same package
      again in SmartUnPack if we have already configured it (LP: #1062503)
  
  [ Michael Vogt ]
  * update Vcs to link to the precise branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 Nov 2012 10:06:31 +0100

apt (0.8.16~exp12ubuntu10.5) precise-proposed; urgency=low

  * apt-pkg/pkgcachegen.cc:
    - Fix crash if the cache is remapped while writing a Provides version
      (LP: #1066445).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Oct 2012 05:42:45 +0100

apt (0.8.16~exp12ubuntu10.4) precise-proposed; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not run into loop on new-pre-depends-breaks (Closes: #673536)
      LP: #1050791
  * apt-pkg/cachefile.cc:
    - clean up lost atomic cachefiles with 'clean' (Closes: #650513)
      LP: #1050779
  
  [ TJ ]
  * apt-pkg/contrib/netrc.cc:
    - increase LOGINSIZE/PASSWORDSIZE limits and add proper error
      if the limits are reached (LP: #1065429)
  
  [ Michael Vogt ]
  * lp:~mvo/apt/lp346386-precise:
    - fail gracefully when a InRelease file is not valid, e.g. behind
      paywalls (LP: #346386)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Oct 2012 11:32:27 +0200

apt (0.8.16~exp12ubuntu10.3) precise-proposed; urgency=low

  * ftparchive/override.cc:
    - Double maximum override line length to 1000 (LP: #1038961).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Aug 2012 13:47:32 +0100

apt (0.8.16~exp12ubuntu10.2) precise-security; urgency=low

  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is still insecure
    - cmdline/apt-key: exit 1 immediately in net_update()
    - CVE-2012-0954
    - LP: #1013639

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 15 Jun 2012 08:02:02 -0500

apt (0.8.16~exp12ubuntu10.1) precise-security; urgency=low

  * adjust apt-key to ensure no collisions on subkeys too. Patch thanks to
    Marc Deslauriers. (LP: #1013128)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Jun 2012 11:30:50 -0500
