=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml,
  po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
 Build-Conflicts: autoconf2.13, automake1.4
-Vcs-Bzr: lp:~ubuntu-core-dev/apt/ubuntu
-Vcs-Browser: http://code.launchpad.net/apt/ubuntu
+Vcs-Bzr: lp:~ubuntu-core-dev/apt/precise
+Vcs-Browser: http://code.launchpad.net/apt/precise
 
 Package: apt
 Architecture: any
