## apt 0.8.16~exp12ubuntu10.8

=== debian/changelog ===
apt (0.8.16~exp12ubuntu10.8) precise; urgency=low

  * Backport kernel auto-removal/retention policy from raring (LP: #923876)
    - debian/apt.auto-removal.sh, debian/rules, debian/apt.dirs: Add new
      script to /etc/kernel/postinst.d/ that ensures we always retain the
      currently-running, being-installed, and newest-installed kernels.
    - debian/apt.conf.autoremove: don't include linux-restricted-modules*,
      linux-image*, and linux-ubuntu-modules* in the never-removed list.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 12 Feb 2013 02:23:24 -0700

apt (0.5.16) unstable; urgenc
